#include <bits/stdc++.h>
using namespace std;
long long power(long long h)
{
	long long p=1;
	for(int r=1;r<=h;r++)
	{
		p*=10;
	}
	return p;
}
int main()
{
	long long br=0;
	long long v;
	cin>>v;
	long long k=18;
	while(v>0)
	{
		if(power(k)*5<=v)
		{
			br++;
			v-=power(k)*5;
		}
		else if(power(k)*2<=v)
		{
			br++;
			v-=power(k)*2;
		}
		else if(power(k)<=v)
		{
			v-=power(k);
			br++;
		}
		else
		{
			k--;
		}
	}
	cout<<br<<endl;
	return 0;
}